Subject: Re: How to Import a bitkeeper repo into git

From: Pete/Piet Delaney <[email-masked]>
Date: Mon, 15 Oct 2007 23:05:41 -0700

Marco Costalba wrote:

Hi Marco:

> On 10/16/07, Pete/Piet Delaney <[email-masked]> wrote:
>> I just download 'meld', looks interesting, I didn't know about it or
>> 'kompare'. Linking either one into gitk would be a pleasant graphical
>> 'bling'.
>>
> 
> In case you are interested a git GUI viewer called qgit can spawn
> 'Kompare' , 'Meld' or any other diff tool that support 'two files'
> command line interface:
> 
> $my_preferred_diff_tool  file1.txt file2.txt
> 
> And they will show what you are looking for. The input files are
> prepared by qgit that also handles the housekeeping at the end.

Great, I installed Qgit version 1.5.3 a while ago, I didn't
notice these advantages over gitq.

Yea, I just noticed, if I pull down External Diff in the files
window it tosses the diffs to Kompare. Super!

> Another feature you asked, i.e. CTRL + right click to select a
> revision (different from the parent) to diff against the current one
> is also already implemented.

It's not quite a intuitive/familiar as with bitkeeper. I suspect I just
need some practice. I selected a huge list if files that we use to
filter the release with and double clicked on the file I thought showing
to focus on that file. The I pulled down External Diff and it took for
ever; like it's confused.

Often we/I want to see the rev history for a particular file.
How would you do that with Qgit?

> 
> And of course the two above features can be integrated: you select two
> random revisions and then call the external diff viewer to check at
> the differences in the way you prefer.

Can I see just the revs for a particular file?

> 
> It is possible to download qgit from
> 
> http://sourceforge.net/project/showfiles.php?group_id=139897

I'll get the latest and greatest. Thinks. Often the problem is
having the current version of Qt3. My workstation is Mandrake
1005 Limited Edition (X11 Xinerama works on this release).
Looks like I have Qt3 on my workstation. Would it be worthwhile
to install Qt4 from src and try to use qgit-2.0?

> 
> Two versions:
> 
> qgit-1.5.7 is Qt3 based
> 
> qgit-2.0 is Qt4 based (works also under Windows)

What new features are in 2.0 over 1.5.7?

Thanks Marco,

- -piet

> regards
> Marco